import 'dart:async';
import 'dart:developer';

import 'package:feelverapp/model/Login/login_model.dart';
import 'package:feelverapp/model/editprofile/getprofilemodel.dart';
import 'package:feelverapp/model/forgetpassword/forgetpassModel.dart';


import 'package:feelverapp/service/Loading.dart';

import 'package:feelverapp/service/api.dart';
import 'package:feelverapp/service/base_presenter.dart';
import 'package:feelverapp/ui/ForgetPassword/forgetpassword.dart';
import 'package:feelverapp/ui/home/home.dart';
import 'package:feelverapp/ui/login/login.dart';
import 'package:feelverapp/util/Accout_util.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:rflutter_alert/rflutter_alert.dart';

import 'edit_profile.dart';



class EditprofilePresenter extends BasePresenter<EditProfile> {
  Api _api;

  final formKey = GlobalKey<FormState>();
  TextEditingController emailCtrl = TextEditingController();
  
GetprofileModel getmodel;




  EditprofilePresenter(State<EditProfile> state) : super(state);








letCheckData() async {
   
     
       try {
        if (emailCtrl.text.isEmpty ) throw ('กรุณากรอก\nอีเมล์');
        

            Pattern pattern =
           r"^[a-zA-Z0-9.a-zA-Z0-9.!#$%&'*+-/=?^_`{|}~]+@[a-zA-Z0-9]+\.[a-zA-Z]+";
        RegExp regex = new RegExp(pattern);
          if (!regex.hasMatch(emailCtrl.text))
            throw  ('รูปแบบอีเมล์\nไม่ถูกต้อง');

else {
          await getprofile();
        }
      } catch (e) {
          Alert(
        style: AlertStyle(
      animationType: AnimationType.fromTop,
      isCloseButton: false,
     
      ),
        context: state.context,
        title: '$e',
        content: Icon(Icons.warning,color: Colors.orange,size: 80,),
        buttons: [
          DialogButton(
            color:  Color.fromRGBO(106, 179, 170, 1),
            onPressed: () => Navigator.pop(state.context),
            child: Text(
              "ตกลง",
              style: TextStyle(color: Colors.white, fontSize: 20),
            ),
          )
        ]).show();
      }

  } 

  getprofile() async {

    _api = Api<GetprofileModel>();

    var res = await _api.getprofile({
      "id":"16"
     
    });

    if (res.fail == null) {
    setState((){
 getmodel = res.success;
    });
   
 

   
          } else {
   Alert(
        style: AlertStyle(
      animationType: AnimationType.fromTop,
      isCloseButton: false,
     
      ),
        context: state.context,
        title: "ไม่สามารถติดต่อ\nเซิร์ฟเวอร์ได้",
        content: Icon(Icons.warning,color: Colors.orange,size: 80,),
        buttons: [
          DialogButton(
            color:  Color.fromRGBO(106, 179, 170, 1),
            onPressed: () => Navigator.pop(state.context),
            child: Text(
              "ลองอีกครั้ง",
              style: TextStyle(color: Colors.white, fontSize: 20),
            ),
          )
        ]).show();
    }
  }















 
}
